﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;

namespace AdornmentLayerCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ShapeFileFeatureLayer USLayer = new ShapeFileFeatureLayer("..\\..\\Data\\USStates.shp");
            USLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            USLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            winformsMap1.StaticOverlay.Layers.Add(USLayer);

            Dictionary<string, Style> legendItems = new Dictionary<string, Style>();
            legendItems.Add("Point1", PointStyles.City1);
            legendItems.Add("Point2", new PointStyle(PointSymbolType.Star, new GeoSolidBrush(GeoColor.StandardColors.Red), 14));
            legendItems.Add("Area1", AreaStyles.Evergreen1);

            CustomAdornmentLayer textAdornmentLayer = new CustomAdornmentLayer(50, 80, legendItems);
            winformsMap1.AdornmentOverlay.Layers.Add(textAdornmentLayer);

            ScaleLineAdornmentLayer scaleBarAdornmentLayer = new ScaleLineAdornmentLayer(AdornmentLocation.LowerLeft);
            winformsMap1.AdornmentOverlay.Layers.Add(scaleBarAdornmentLayer);

            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;
            winformsMap1.CurrentExtent = new RectangleShape(-140, 60, -80, 0);
            winformsMap1.Refresh();
        }
    }
}
